Subject: bug#10681: closed (Re: bug#10681: GNU Guile 2.0.5 released)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Jul 2012 18:29:02 +0000

Your bug report

#10681: GNU Guile 2.0.5 released

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10681: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10681
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10681: GNU Guile 2.0.5 released
From: Andy Wingo <[email-masked]>
To: Hans Aberg <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, Ludovic Courtès <[email-masked]>, [email-masked]
Date: Fri, 06 Jul 2012 20:23:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 01 Feb 2012 16:08, Hans Aberg <[email-masked]> writes:

> On 1 Feb 2012, at 15:53, Andy Wingo wrote:
>
>>> There is no issue with libffi from latest GIT compiled with
>>> llvm-gcc-4.2, and guile-2.0.5 compiled with SVN gcc-4.7.
>> 
>> But there is an issue with libffi from git compiled with llvm-gcc-4.2,
>> and guile-2.0.5 compiled with llvm-gcc-4.2?
>
> Right, only that I think the issue is with guile-2.0.5 compiled with llvm-gcc-4.2.
>
>> Can you try compiling libffi from GIT with gcc-4.7, and guile-2.0.5 with
>> llvm-gcc-4.2?
>> 
>> Just to check :)
>
> Unfortunately, llvm-gcc-4.2 is very slow; compiling guile-2.0.5 takes a very long time. So I think I will have to give up on this one.

Closing this one as done then.  Whenever you give a newer Guile a try
(like tomorrow's 2.0.6), we can look again.

Thanks!

Andy
-- 
http://wingolog.org/

Subject: Re: GNU Guile 2.0.5 released
From: Hans Aberg <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: bug-guile bug <[email-masked]>
Date: Tue, 31 Jan 2012 15:21:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 30 Jan 2012, at 23:02, Ludovic Courtès wrote:

> We are pleased to announce GNU Guile release 2.0.5.

The 'make check' gives this error, on OS X 10.7.2 using the compiler i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1 supplied by Xcode 4.2.1:

  PASS: test-asmobs
bad return from expression `(f-sum -1 2000 -30000 40000000000)': expected 39999971999; got 39999972255
/bin/sh: line 1: 96687 Bus error: 10           srcdir="." builddir="." CHARSETALIASDIR="/usr/local/src/guile/guile-2.0.5/lib" GUILE_AUTO_COMPILE=0 "../../meta/uninstalled-env" ${dir}$tst
...
==================================
1 of 28 tests failed
Please report to [email-masked]
==================================

Done.

Hans